-- Schema: C6StagingPeriodico
-- Stored Procedure: RP_ST_DettaglioPosizionePortafoglio_pre_selective

CREATE procedure [C6StagingPeriodico].[RP_ST_DettaglioPosizionePortafoglio_pre_selective] as

begin 

	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_DettaglioPosizionePortafoglio_pre_selective',
		GETDATE(),
		'Elaborazione Trimestrale'
	)

	truncate table C6StagingPeriodico.RP_DettaglioPosizionePortafoglio

	insert into C6StagingPeriodico.RP_DettaglioPosizionePortafoglio (
	
	 [chiavePosizionePtf]
	   ,[ctv]
	   ,[rischioCredito]
	   ,[rischioMercato]
       ,[copertura]
	   ,[isAttivoRC]
       ,[ctvNonAllocabile]
       ,[quantitaNominale]
       ,[partitaViaggiante]
	   ,[ctvOut]
       ,[ctvIni]
       ,[dtSaldo]
	)
	select 
    [chiavePosizionePtf],
	[ctv],
	null as [rischioCredito],   --- Da verificare
	null as [rischioMercato],
	[copertura],
	null as [isAttivoRC],		--- Da verificare
	[ctvNonAllocabile],
	[quantitaNominale],
	[partitaViaggiante],
	[ctvOut],
	[ctvIni],
	[dtSaldo]
  from [CONSUNI_PERIODICO].[consulenzaUnica].dbo.DettaglioPosizionePortafoglio
	
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_DettaglioPosizionePortafoglio_pre_selective' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_DettaglioPosizionePortafoglio_pre_selective'
		)
	
end


